package com.op.mes.domain;

import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;


/**
 * 配药配方对象 pro_process
 *
 * @author yinjinlu
 * @date 2022-05-12
 */
public class ProRecipe extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 工序ID
     */
    private String recipeId;

    /**
     * 工序编码
     */
    @Excel(name = "配方编码")
    private String recipeCode;

    /**
     * 工序名称
     */
    @Excel(name = "配方名称")
    private String recipeName;

    /**
     * 工艺要求
     */
    @Excel(name = "工艺要求")
    private String attention;

    /**
     * 是否启用
     */
    @Excel(name = "是否启用")
    private String enableFlag;

    /**
     * 预留字段1
     */
    private String attr1;

    /**
     * 预留字段2
     */
    private String attr2;

    /**
     * 预留字段3
     */
    private Long attr3;

    /**
     * 预留字段4
     */
    private Long attr4;

    private String fileList;
    private List<BaseFile> files;
    //s:拆分 m合并
    private String splitMerge;
    //拆分合并数量
    private int splitMergNum;
    //1允许多单并行
    private String sync;
    //工作中心
    private String version;
    //工作时长
    private Double workTime;

    public List<BaseFile> getFiles() {
        return files;
    }

    public void setFiles(List<BaseFile> files) {
        this.files = files;
    }

    public String getWorkCenter() {
        return version;
    }

    public void setWorkCenter(String version) {
        this.version = version;
    }

    public Double getWorkTime() {
        return workTime;
    }

    public void setWorkTime(Double workTime) {
        this.workTime = workTime;
    }

    public String getSplitMerge() {
        return splitMerge;
    }

    public void setSplitMerge(String splitMerge) {
        this.splitMerge = splitMerge;
    }

    public int getSplitMergNum() {
        return splitMergNum;
    }

    public void setSplitMergNum(int splitMergNum) {
        this.splitMergNum = splitMergNum;
    }

    public String getSync() {
        return sync;
    }

    public void setSync(String sync) {
        this.sync = sync;
    }

    public String getFileList() {
        return fileList;
    }

    public void setFileList(String fileList) {
        this.fileList = fileList;
    }

    public String getRecipeCode() {
        return recipeCode;
    }

    public void setRecipeCode(String recipeCode) {
        this.recipeCode = recipeCode;
    }

    public String getRecipeName() {
        return recipeName;
    }

    public void setRecipeName(String recipeName) {
        this.recipeName = recipeName;
    }

    public void setAttention(String attention) {
        this.attention = attention;
    }

    public String getAttention() {
        return attention;
    }

    public void setEnableFlag(String enableFlag) {
        this.enableFlag = enableFlag;
    }

    public String getEnableFlag() {
        return enableFlag;
    }

    public void setAttr1(String attr1) {
        this.attr1 = attr1;
    }

    public String getAttr1() {
        return attr1;
    }

    public void setAttr2(String attr2) {
        this.attr2 = attr2;
    }

    public String getAttr2() {
        return attr2;
    }

    public void setAttr3(Long attr3) {
        this.attr3 = attr3;
    }

    public Long getAttr3() {
        return attr3;
    }

    public void setAttr4(Long attr4) {
        this.attr4 = attr4;
    }

    public Long getAttr4() {
        return attr4;
    }

    public String getRecipeId() {
        return recipeId;
    }

    public void setRecipeId(String recipeId) {
        this.recipeId = recipeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("recipeId", getRecipeId())
                .append("processCode", getRecipeCode())
                .append("processName", getRecipeName())
                .append("attention", getAttention())
                .append("enableFlag", getEnableFlag())
                .append("remark", getRemark())
                .append("attr1", getAttr1())
                .append("attr2", getAttr2())
                .append("attr3", getAttr3())
                .append("attr4", getAttr4())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }

}
